Skip to content

POST Create NPC object with config and GLB upload

POST /resources/objects/npc: Create NPC object with config and GLB upload. Required scopes: product:write

POSThttps://api.rooom.com/resources/objects/npc
Try it out
product:write

Body

multipart/form-data
NameTypeDescription
namestringObject name
descriptionstringObject description
commentstringUpload comment
configstringNPC configuration as JSON string
glbFilefileNPC GLB model file

Responses

201NPC object created successfully
400Bad request – missing or invalid config, glbFile, or type
401Unauthorized
415Unsupported media type – only GLB uploads are supported
500Internal server error – object creation or GLB upload failed
POST /resources/objects/npc Create NPC object with config and GLB upload Required scopes: product:write name Object name description Object description comment Upload comment config NPC configuration as JSON string glbFile NPC GLB model file